- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moSolContinue< EOT > Class Template Reference

Class that describes a stop criterion for a solution-based heuristic. More...

`#include <moSolContinue.h>`

Inheritance diagram for moSolContinue< EOT >:

List of all members.

## Public Member Functions
virtual void | init ()=0
| Procedure which initialises all that the stop criterion needs.

## Detailed Description

### template<class EOT>
class moSolContinue< EOT >

Class that describes a stop criterion for a solution-based heuristic.

It allows to add an initialisation procedure to an object that is a unary function (eoUF).

Definition at line 48 of file moSolContinue.h.

## Member Function Documentation

template<class EOT>

virtual void moSolContinue< EOT >::init | ( |  | ) | `[pure virtual]`

Procedure which initialises all that the stop criterion needs.

Generally, it allocates some data structures or initialises some counters.

Implemented in moFitSolContinue< EOT >, moGenSolContinue< EOT >, moNoFitImprSolContinue< EOT >, and moSteadyFitSolContinue< EOT >.

The documentation for this class was generated from the following file:

- moSolContinue.h